Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.util
Class Jdbc3Utils

    java.lang.Object
      org.apache.ddlutils.util.Jdbc3Utils

    public abstract class Jdbc3Utils

extends Object

Little helper class providing functions for dealing with the newer JDBC functionality in a way that is safe to compile with Java 1.3.

Version:
  $Revision: 289996 $

Constructor Summary
`Jdbc3Utils()`

Method Summary
`static int` | `determineBooleanTypeCode()` Determines the type code for the BOOLEAN JDBC type.
`static int` | `determineDatalinkTypeCode()` Determines the type code for the DATALINK JDBC type.
`static String` | `getBatchResultMessage(String tableName, int rowIdx, int resultCode)` Returns the logging message corresponding to the given result code of a batch message.
`static boolean` | `supportsJava14BatchResultCodes()` Determines whether the system supports the Java 1.4 batch result codes.
`static boolean` | `supportsJava14JdbcTypes()` Determines whether the system supports the Java 1.4 JDBC Types, DATALINK and BOOLEAN.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jdbc3Utils

    public Jdbc3Utils()

Method Detail

### supportsJava14JdbcTypes

    public static boolean supportsJava14JdbcTypes()

  Determines whether the system supports the Java 1.4 JDBC Types, DATALINK and BOOLEAN.

  Returns:
    `true` if BOOLEAN and DATALINK are available

### determineBooleanTypeCode

    public static int determineBooleanTypeCode()
                                        throws UnsupportedOperationException

  Determines the type code for the BOOLEAN JDBC type.

  Returns:
    The type code
  Throws:
    `UnsupportedOperationException` - If the BOOLEAN type is not supported

### determineDatalinkTypeCode

    public static int determineDatalinkTypeCode()
                                         throws UnsupportedOperationException

  Determines the type code for the DATALINK JDBC type.

  Returns:
    The type code
  Throws:
    `UnsupportedOperationException` - If the DATALINK type is not supported

### supportsJava14BatchResultCodes

    public static boolean supportsJava14BatchResultCodes()

  Determines whether the system supports the Java 1.4 batch result codes.

  Returns:
    `true` if SUCCESS_NO_INFO and EXECUTE_FAILED are available in the `Statement` class

### getBatchResultMessage

    public static String getBatchResultMessage(String tableName,
                                               int rowIdx,
                                               int resultCode)

  Returns the logging message corresponding to the given result code of a batch message. Note that these code values are only available in JDBC 3 and newer (see `Statement` for details).

  Parameters:
    `tableName` - The name of the table that the batch update/insert was performed on
    `rowIdx` - The index of the row within the batch for which this code is
    `resultCode` - The code
  Returns:
    The string message or `null` if the code does not indicate an error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.